WaveStrings (JHOVE Documentation)
Date: 2013-09-08

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.harvard.hul.ois.jhove.module.wave
Class WaveStrings

    java.lang.Object
      edu.harvard.hul.ois.jhove.module.wave.WaveStrings

    public class WaveStrings

extends java.lang.Object

A class for holding arrays of informative strings that will go into properties of a WAVE object.

Author:
  Gary McGath

Field Summary
`static java.lang.String[]` | `ANCILLARY_DEF_0` Flags for ancillary data definition in the MPEG chunk, "0" values
`static java.lang.String[]` | `ANCILLARY_DEF_1` Flags for ancillary data definition in the MPEG chunk, "1" values
`static java.lang.String[]` | `COMPRESSION_FORMAT` Strings for data compression formats; indexed by COMPRESSION_INDEX
`static int[]` | `COMPRESSION_INDEX`
`static java.lang.String[]` | `SMPTE_FORMAT` Strings for SMPTE formats in the Sample Chunk
`static int[]` | `SMPTE_FORMAT_INDEX` Indices for SMPTE formats in the Sample Chunk
`static java.lang.String[]` | `SOUND_INFORMATION_0` Flags for SoundInformation bits in the MPEG chunk, "0" values
`static java.lang.String[]` | `SOUND_INFORMATION_1` Flags for SoundInformation bits in the MPEG chunk, "1" values

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPRESSION_FORMAT

    public static final java.lang.String[] COMPRESSION_FORMAT

  Strings for data compression formats; indexed by COMPRESSION_INDEX

### COMPRESSION_INDEX

    public static final int[] COMPRESSION_INDEX

### SMPTE_FORMAT

    public static final java.lang.String[] SMPTE_FORMAT

  Strings for SMPTE formats in the Sample Chunk

### SMPTE_FORMAT_INDEX

    public static final int[] SMPTE_FORMAT_INDEX

  Indices for SMPTE formats in the Sample Chunk

### SOUND_INFORMATION_1

    public static final java.lang.String[] SOUND_INFORMATION_1

  Flags for SoundInformation bits in the MPEG chunk, "1" values

### SOUND_INFORMATION_0

    public static final java.lang.String[] SOUND_INFORMATION_0

  Flags for SoundInformation bits in the MPEG chunk, "0" values

### ANCILLARY_DEF_1

    public static final java.lang.String[] ANCILLARY_DEF_1

  Flags for ancillary data definition in the MPEG chunk, "1" values

### ANCILLARY_DEF_0

    public static final java.lang.String[] ANCILLARY_DEF_0

  Flags for ancillary data definition in the MPEG chunk, "0" values

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD